### Function

# Gtk.CssSection.new

#### Declaration [src]

    GtkCssSection*
    gtk_css_section_new (
      GFile* file,
      const GtkCssLocation* start,
      const GtkCssLocation* end
    )

#### Description [src]

Creates a new `GtkCssSection` referring to the section in the given `file` from the `start` location to the `end` location.

#### Parameters

`file` | `GFile*`
| The file this section refers to
| Can be `NULL`
| Ownership is not transferred to the callee
`start` | `GtkCssLocation`
| The start location
| Ownership is not transferred to the callee
`end` | `GtkCssLocation`
| The end location
| Ownership is not transferred to the callee

#### Return value

Returns: `GtkCssSection`
a new `GtkCssSection`
Ownership of the data is transferred to the caller